<div class="row">
    <div class="pt-3 pb-1" id="breadcrumbs-wrapper">
      <!-- Search for small screen-->
      <div class="container">
        <div class="row">
          <div class="col s12 m6 l6">
            <h5 class="breadcrumbs-title mt-0 mb-0"><span>Carburant</span></h5>
          </div>
          <div class="col s12 m6 l6 right-align-md">
            <ol class="breadcrumbs mb-0">
              <li class="breadcrumb-item"><a [routerLink]="['/DashbordVoiture']">Acceuil</a>
              </li>
              <li class="breadcrumb-item">Configurations
              </li>
              <li class="breadcrumb-item active">Carburant
              </li>
            </ol>
          </div>
        </div>
      </div>
    </div>
    <div class="col s12">
      <div class="container">
        <div class="section section-data-tables">
<div class="card">

</div>

<!-- Page Length Options -->
<div class="row">
<div class="col s12">
  <div class="card">
    <div class="card-content">
     <a class=" modal-trigger" href="#modal1" (click)="initi()">
     <button class="btn cyan waves-effect waves-light right" type="submit" name="action">Ajouter
        <i class="material-icons right">add</i>
      </button>
      </a>

      <h4 class="card-title">Liste des carburants</h4>
    
      <br/>
      <div class="row">
        <div class="col s12">
          <table id="page-length-option" class="display">
            <thead>
              <tr>
                <th>Immatricule</th>
                <th>Date </th>
                <th> Niveau Carburant</th>
                <th>Action</th>
                
            
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let c of carburants; index as i;">
                

                <td>{{c.voitureImmatricule}}</td>
                <td>{{c.date}}</td>
                <td>{{c.carburant}} %</td>
                <td>

                  

                  <a class='dropdown-trigger' href='#'  [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                  <li><a  class="modal-trigger" (click)="getOne(c.id)" href="#modal2">Modifier</a></li>
                  <li><a class="modal-trigger" (click)="delete(c.id)">Supprimper</a></li>
               
                  </ul>

                </td>
              
              
             
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
</div>

<div id="modal1" class="modal modal-fixed-footer" style="width: 40%; height: 55%;">
  <form #f="ngForm" (ngSubmit)="save(f.value)">
<div class="modal-content">
  <h4>carburant</h4>
  <br>
  <div class="input-field col s12">
    <label for="name2" class="active">Immatricule</label>

    <select  searchable='Liste de Voiture' id="xxxx" name="voitureImmatricule" #name="ngModel" [(ngModel)]="carburant.voitureImmatricule" required >
      <option *ngFor="let v of voitures" [value]="v.immatricule">
        {{v.immatricule}}
       </option>
  </select>
 </div>
 <div class="input-field col s12">
   <input class="validate" id="name2" type="Date" name="date" #date="ngModel" [(ngModel)]="carburant.date" required>
   <label for="name2">Date</label>
   <small  class="errorTxt1" *ngIf="date.touched  &&  date.invalid" ><div id="uname-error" class="error">saisir votre date</div></small>

 </div>
  <div class="input-field col m12 s12">
   <label for="name2">Niveau de carburant</label> <br>
   <p class="range-field">
     <input type="range" id="test5" min="0" max="100" step="25"  name="carburant" #name="ngModel" [(ngModel)]="carburant.carburant" required/>
   </p>
 </div>
          

</div>

<div class="modal-footer">
   <button [disabled]="f.invalid" type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
</div>
</form>
</div>


<div id="modal2" class="modal modal-fixed-footer" style="width: 40%; height: 55%;">
  <form #fu="ngForm" (ngSubmit)="update(fu.value)">
<div class="modal-content">
  <h4>carburant</h4>
  <br>
  <div class="input-field col s12">
    <label for="name2" class="active">Immatricule</label><br/>


    <input  id="name2" type="text" name="voitureImmatricule" #name="ngModel" [(ngModel)]="carburant.voitureImmatricule" disabled>
 </div>
 <div class="input-field col s12">
   <input  type="date" name="date" #name="ngModel" [(ngModel)]="carburant.date" required>
   <label for="name2">Date</label>
 </div>
  <div class="input-field col m12 s12">
   <label for="name2">Niveau de carburant</label> <br>
   <p class="range-field">
     <input type="range" id="test5" min="0" max="100" step="25"  name="carburant" #name="ngModel" [(ngModel)]="carburant.carburant" required/>
   </p>
 </div>
          

</div>

<div class="modal-footer">
   <button type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
</div>
</form>
</div>


</div>
</div><!-- START RIGHT SIDEBAR NAV -->

      </div>
      <div class="content-overlay"></div>
    </div>